Bug 128087 - restorecon hangs on net install of selinux and bind
Summary: restorecon hangs on net install of selinux and bind
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: powerpc Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL: mirrors.kernel.org
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-17 11:31 UTC by Jeff Walter
Modified: 2015-01-04 22:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-10 00:57:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Walter 2004-07-17 11:31:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
During install, first selinux hung (which I had specified earlier in the install to not use). By hung, I mean 320 minutes of 99% CPU before I noticed. (I was asleep) Then bind did the same (but only for about 5 minutes). The resolution I came up with was to kill the restorecon process each time, which allowed the install to continue. If installing (fixing?) bind later doesn't work I'll add to the post.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.
2.
3.
    

Additional info:

Comment 1 Jeff Walter 2004-07-17 15:09:01 UTC
I had to run the install again (open firmware troubles I brought upon 
myself, plus yaboot problems), so I got  chance to see the same 
problem. Same two spots. Here's the ps entry: 
 
713 tty1 R+ 54:09 restorecon /etc/selinux/config 
 
and the other: 
 
2766 tty1 R+ 22:57 /sbin/restorecon /etc/rndc.key /etc/rndc.conf 
 

Comment 2 Jeremy Katz 2004-07-17 19:05:18 UTC
This looks to me like selinux is hosed on ppc

Comment 4 Colin Charles 2004-10-09 13:29:48 UTC
Is this fixed? Seems okay on rawhide from about a month ago

Comment 5 Daniel Walsh 2004-10-10 00:57:39 UTC
Yes I have not heard of any problems with this for quite a while.

Closing bug


Note You need to log in before you can comment on or make changes to this bug.